更新 ndesConnector
命名空间:microsoft.graph
重要提示: Microsoft Graph /beta 版本下的 API 可能会更改;不支持生产使用。
注意: 适用于 Intune 的 Microsoft Graph API 需要适用于租户的 活动 Intune 许可证。
更新 ndesConnector 对象 的属性。
先决条件
要调用此 API,需要以下权限之一。要了解详细信息,包括如何选择权限的信息,请参阅权限。
| 权限类型 | 权限(从最低特权到最高特权) |
|---|---|
| 委派(工作或学校帐户) | DeviceManagementConfiguration.ReadWrite.All |
| 委派(个人 Microsoft 帐户) | 不支持。 |
| 应用程序 | DeviceManagementConfiguration.ReadWrite.All |
HTTP 请求
PATCH /deviceManagement/ndesConnectors/{ndesConnectorId}
请求标头
| 标头 | 值 |
|---|---|
| Authorization | Bearer <token>。必需。 |
| 接受 | application/json |
请求正文
在请求正文中,提供 ndesConnector 对象的 JSON 表示形式。
下表显示创建 ndesConnector时所需的属性。
| 属性 | 类型 | 说明 |
|---|---|---|
| id | String | NDES 连接器的键。 |
| lastConnectionDateTime | DateTimeOffset | Ndes 连接器的上次连接时间 |
| state | ndesConnectorState | Ndes 连接器状态。 可取值为:none、active、inactive。 |
| displayName | String | Ndes 连接器的友好名称。 |
响应
如果成功,此方法在响应正文中返回 响应代码和更新的 200 OK ndesConnector 对象。
示例
请求
下面是一个请求示例。
PATCH https://graph.microsoft.com/beta/deviceManagement/ndesConnectors/{ndesConnectorId}
Content-type: application/json
Content-length: 183
{
"@odata.type": "#microsoft.graph.ndesConnector",
"lastConnectionDateTime": "2016-12-31T23:58:36.6670033-08:00",
"state": "active",
"displayName": "Display Name value"
}
响应
下面是一个响应示例。注意:为了简单起见,可能会将此处所示的响应对象截断。将从实际调用中返回所有属性。
HTTP/1.1 200 OK
Content-Type: application/json
Content-Length: 232
{
"@odata.type": "#microsoft.graph.ndesConnector",
"id": "e71fa706-a706-e71f-06a7-1fe706a71fe7",
"lastConnectionDateTime": "2016-12-31T23:58:36.6670033-08:00",
"state": "active",
"displayName": "Display Name value"
}
反馈
提交和查看相关反馈